<?php
/**
 * Candles Shop functions and definitions
 *
 * @package Candles Shop
 */

if ( ! function_exists( 'candles_shop_setup' ) ) :
function candles_shop_setup() {
	
	if ( ! isset( $content_width ) )
		$content_width = 640; /* pixels */

    load_theme_textdomain( 'candles-shop', get_template_directory() . '/languages' );
    
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-logo', array(
		'height'      => 240,
		'width'       => 240,
		'flex-height' => true,
	) );
	
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );
	
	// Add support for Block Styles.
	add_theme_support( 'wp-block-styles' );

	// Add support for full and wide align images.
	add_theme_support( 'align-wide' );
			
	// Add support for responsive embedded content.
	add_theme_support( 'responsive-embeds' );

    add_theme_support('woocommerce');

	// Enqueue editor styles.
	add_editor_style( array( 'assets/css/editor-style.css' ) );

	if (! defined('CANDLES_SHOP_VERSION')) {
		// Replace the version number of the theme on each release.
		define('CANDLES_SHOP_VERSION', wp_get_theme()->get('Version'));
	}

	require get_parent_theme_file_path( '/inc/dashboard/dashboard.php' );

    require get_parent_theme_file_path( '/inc/customizer/customizer.php' );
}
endif; // candles_shop_setup
add_action( 'after_setup_theme', 'candles_shop_setup' );

function candles_shop_scripts() {
    wp_enqueue_style( 'candles-shop-basic-style', get_stylesheet_uri() );

	wp_enqueue_script( 'candles-shop-wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), true );

	wp_enqueue_style( 'candles-shop-animate-css', get_template_directory_uri().'/assets/css/animate.css' );

    //font-awesome
	wp_enqueue_style( 'candles-shop-fontawesome', get_template_directory_uri() . '/assets/font-awesome/css/all.css', array(), '6.7.0' );

    wp_style_add_data( 'candles-shop-basic-style', 'rtl', 'replace' );

    //homepage slider
	wp_enqueue_style( 'candles-shop-owl.carousel-style', get_template_directory_uri().'/assets/css/owl.carousel.css', array(), CANDLES_SHOP_VERSION );
	wp_enqueue_script( 'candles-shop-owl.carousel-js', get_template_directory_uri(). '/assets/js/owl.carousel.js', array('jquery') ,CANDLES_SHOP_VERSION,true);

	// script.js
	wp_enqueue_script('candles-shop-main-script', get_template_directory_uri() . '/assets/js/script.js', array('jquery'), CANDLES_SHOP_VERSION, true);

}
add_action( 'wp_enqueue_scripts', 'candles_shop_scripts' );

function candles_shop_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('candles-shop-welcome-notice', get_template_directory_uri() . '/inc/dashboard/candles-shop-welcome-notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('candles-shop-welcome-notice', 'candles_shop_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('candles_shop_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('candles_shop_welcome_nonce'), // Nonce for dismissal
        'redirect_url' => admin_url('themes.php?page=candles-shop-guide-page')
    ));
}
add_action('admin_enqueue_scripts', 'candles_shop_enqueue_admin_script');

function candles_shop_admin_theme_style() {
   wp_enqueue_style('candles-shop-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/dashboard.css');
}
add_action('admin_enqueue_scripts', 'candles_shop_admin_theme_style');

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

add_action( 'admin_init', function() {
    update_option( 'essential_blocks_quick_setup_shown', true );
    update_option( 'essential_blocks_user_type', 'old' );
    remove_submenu_page( 'admin.php', 'eb-quick-setup' );
});

// Block Patterns.
require get_template_directory() . '/block-patterns.php';
require get_template_directory() . '/custom-setting.php';
require_once get_template_directory() . '/inc/dashboard/welcome-notice.php';
require get_template_directory() .'/inc/TGM/tgm.php';